Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Handle new gd configure options in php 7.4 image #1481

Merged
merged 1 commit into from Dec 13, 2019
Merged

Conversation

@smlx
Copy link
Contributor

smlx commented Dec 11, 2019

Checklist

  • Affected Issues have been mentioned in the Closing issues section
  • Documentation has been written/updated.
  • Changelog entry has been written

PHP 7.4 images are broken due to changes in the gd extensions configuration flags. See here and here.

The reason that this hasn't been picked up before was that the incorrect flags were only producing a WARNING. We build our images with --quiet, so it was never seen. This behaviour was recently changed to ERROR on incorrect configure flags.

The final result is that building from the latest php:7.4-fpm-alpine image will now fail without the fix in this PR.

Changelog Entry

Bugfix - Correctly build gd extension on PHP 7.4

Closing issues

n/a

@Schnitzel Schnitzel added this to the v1.2.0 milestone Dec 13, 2019
@Schnitzel Schnitzel merged commit f7eea32 into master Dec 13, 2019
1 check passed
1 check passed
continuous-integration/jenkins/pr-merge This commit looks good
Details
@smlx smlx deleted the php-image-fixes branch Jan 20, 2020
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.